org.wildfly.swarm.config.elytron

## Class AuthenticationConfiguration<T extends AuthenticationConfiguration<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AuthenticationConfiguration<T>

-     public class AuthenticationConfiguration<T extends AuthenticationConfiguration<T>>
      extends Object

  An individual authentication configuration definition.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthenticationConfiguration.ForwardingMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationConfiguration(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `anonymous()` Enables anonymous authentication.
    `T` | `anonymous(Boolean value)` Enables anonymous authentication.
    `String` | `attributeExtends()` A previously defined authentication configuration to extend.
    `T` | `attributeExtends(String value)` A previously defined authentication configuration to extend.
    `String` | `authenticationName()` The authentication name to use.
    `T` | `authenticationName(String value)` The authentication name to use.
    `String` | `authorizationName()` The authorization name to use.
    `T` | `authorizationName(String value)` The authorization name to use.
    `Map` | `credentialReference()` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(Map value)` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(String key, Object value)` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `AuthenticationConfiguration.ForwardingMode` | `forwardingMode()` The type of security identity forwarding to use.
    `T` | `forwardingMode(AuthenticationConfiguration.ForwardingMode value)` The type of security identity forwarding to use.
    `String` | `getKey()`
    `String` | `host()` The host to use.
    `T` | `host(String value)` The host to use.
    `String` | `kerberosSecurityFactory()` Reference to a kerberos security factory used to obtain a GSS kerberos credential
    `T` | `kerberosSecurityFactory(String value)` Reference to a kerberos security factory used to obtain a GSS kerberos credential
    `Map` | `mechanismProperties()` Configuration properties for the SASL authentication mechanism.
    `T` | `mechanismProperties(Map value)` Configuration properties for the SASL authentication mechanism.
    `T` | `mechanismProperty(String key, Object value)` Configuration properties for the SASL authentication mechanism.
    `Integer` | `port()` The port to use.
    `T` | `port(Integer value)` The port to use.
    `String` | `protocol()` The protocol to use.
    `T` | `protocol(String value)` The protocol to use.
    `String` | `realm()` The realm to use.
    `T` | `realm(String value)` The realm to use.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslMechanismSelector()` The SASL mechanism selector string.
    `T` | `saslMechanismSelector(String value)` The SASL mechanism selector string.
    `String` | `securityDomain()` Reference to a security domain to obtain a forwarded identity.
    `T` | `securityDomain(String value)` Reference to a security domain to obtain a forwarded identity.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationConfiguration

          public AuthenticationConfiguration(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### anonymous

          public Boolean anonymous()

      Enables anonymous authentication.

    - #### anonymous

          public T anonymous(Boolean value)

      Enables anonymous authentication.

    - #### authenticationName

          public String authenticationName()

      The authentication name to use.

    - #### authenticationName

          public T authenticationName(String value)

      The authentication name to use.

    - #### authorizationName

          public String authorizationName()

      The authorization name to use.

    - #### authorizationName

          public T authorizationName(String value)

      The authorization name to use.

    - #### credentialReference

          public Map credentialReference()

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(Map value)

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### attributeExtends

          public String attributeExtends()

      A previously defined authentication configuration to extend.

    - #### attributeExtends

          public T attributeExtends(String value)

      A previously defined authentication configuration to extend.

    - #### forwardingMode

          public AuthenticationConfiguration.ForwardingMode forwardingMode()

      The type of security identity forwarding to use. A mode of 'authentication' forwarding forwards the principal and credential. A mode of 'authorization' forwards the authorization id, allowing for a different authentication identity.

    - #### forwardingMode

          public T forwardingMode(AuthenticationConfiguration.ForwardingMode value)

      The type of security identity forwarding to use. A mode of 'authentication' forwarding forwards the principal and credential. A mode of 'authorization' forwards the authorization id, allowing for a different authentication identity.

    - #### host

          public String host()

      The host to use.

    - #### host

          public T host(String value)

      The host to use.

    - #### kerberosSecurityFactory

          public String kerberosSecurityFactory()

      Reference to a kerberos security factory used to obtain a GSS kerberos credential

    - #### kerberosSecurityFactory

          public T kerberosSecurityFactory(String value)

      Reference to a kerberos security factory used to obtain a GSS kerberos credential

    - #### mechanismProperties

          public Map mechanismProperties()

      Configuration properties for the SASL authentication mechanism.

    - #### mechanismProperties

          public T mechanismProperties(Map value)

      Configuration properties for the SASL authentication mechanism.

    - #### mechanismProperty

          public T mechanismProperty(String key,
                                     Object value)

      Configuration properties for the SASL authentication mechanism.

    - #### port

          public Integer port()

      The port to use.

    - #### port

          public T port(Integer value)

      The port to use.

    - #### protocol

          public String protocol()

      The protocol to use.

    - #### protocol

          public T protocol(String value)

      The protocol to use.

    - #### realm

          public String realm()

      The realm to use.

    - #### realm

          public T realm(String value)

      The realm to use.

    - #### saslMechanismSelector

          public String saslMechanismSelector()

      The SASL mechanism selector string.

    - #### saslMechanismSelector

          public T saslMechanismSelector(String value)

      The SASL mechanism selector string.

    - #### securityDomain

          public String securityDomain()

      Reference to a security domain to obtain a forwarded identity.

    - #### securityDomain

          public T securityDomain(String value)

      Reference to a security domain to obtain a forwarded identity.

Copyright © 2017 JBoss by Red Hat. All rights reserved.